<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK SETTINGS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$settings           = array(
  'menu_title'      => constant('WINEMAKER_THEME_NAME').' '.esc_html__('Options', 'winemaker'),
  'menu_type'       => 'theme', // menu, submenu, options, theme, etc.
  'menu_slug'       => 'winemaker',
  'ajax_save'       => true,
  'show_reset_all'  => false,
  'framework_title' => constant('WINEMAKER_THEME_NAME') .' '.__('Admin Panel', 'winemaker'),
);

// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options        = array();

$options[]      = array(
  'name'        => 'general',
  'title'       => esc_html__('General', 'winemaker'),
  'icon'        => 'fa fa-gears',

  'fields'      => array(

	array(
	  'type'    => 'subheading',
	  'content' => esc_html__( 'General Options', 'winemaker' ),
	),

	array(
	  'id'  	 => 'show-pagecomments',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Globally Show Page Comments', 'winemaker'),
	  'info'	 => esc_html__('YES! to show comments on all the pages. This will globally override your "Allow comments" option under your page "Discussion" settings.', 'winemaker'),
	  'default' 	 => true,
	),

	array(
	  'id'  	 => 'showall-pagination',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Show all pages in Pagination', 'winemaker'),
	  'info'	 => esc_html__('YES! to show all the pages instead of dots near the current page.', 'winemaker')
	),

	array(
	  'id'  	 => 'enable-stylepicker',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Style Picker', 'winemaker'),
	  'info'	 => esc_html__('YES! to show the style picker.', 'winemaker')
	),

	array(
	  'id'      => 'google-map-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Google Map API Key', 'winemaker'),
	  'attributes' => array( 
		'placeholder' => 'NIzaSyKIHTR6h1tdLOWv01IrJj6lss2ISnatYq0'
	  ),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid google account api key here', 'winemaker').'</p>',
	),

	array(
	  'id'      => 'mailchimp-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Mailchimp API Key', 'winemaker'),
	  'attributes' => array(
		'placeholder' => 'b54a1d38b2547d601a324kaja4d4lao3-us3'
	  ),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid mailchimp account api key here', 'winemaker').'</p>',
	),

  ),
);

$options[]      = array(
  'name'        => 'allpage_options',
  'title'       => esc_html__('All Page Options', 'winemaker'),
  'icon'        => 'fa fa-files-o',
  'sections' => array(

	// -----------------------------------------
	// Post Options
	// -----------------------------------------
	array(
	  'name'      => 'post_options',
	  'title'     => esc_html__('Post Options', 'winemaker'),
	  'icon'      => 'fa fa-file',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Single Post Options", 'winemaker' ),
		  ),
		
		  array(
			'id'  		 => 'single-post-authorbox',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Single Author Box', 'winemaker'),
			'info'		 => esc_html__('YES! to display author box in single blog posts.', 'winemaker')
		  ),

		  array(
			'id'  		 => 'single-post-related',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Single Related Posts', 'winemaker'),
			'info'		 => esc_html__('YES! to display related blog posts in single posts.', 'winemaker')
		  ),

		  array(
			'id'  		 => 'single-post-comments',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Posts Comments', 'winemaker'),
			'info'		 => esc_html__('YES! to display single blog post comments.', 'winemaker'),
			'default' 	 => true,
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Post Archives Page Layout", 'winemaker' ),
		  ),

		  array(
			'id'      	 => 'post-archives-page-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Page Layout', 'winemaker'),
			'options'    => array(
			  'content-full-width'   => WINEMAKER_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => WINEMAKER_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => WINEMAKER_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => WINEMAKER_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'post-archives-page-layout',
			),
		  ),

		  array(
			'id'  		 => 'show-standard-left-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Left Sidebar', 'winemaker'),
			'dependency' => array( 'post-archives-page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  		 => 'show-standard-right-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Right Sidebar', 'winemaker'),
			'dependency' => array( 'post-archives-page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Post Archives Post Layout", 'winemaker' ),
		  ),

		  array(
			'id'      	   => 'post-archives-post-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Post Layout', 'winemaker'),
			'options'      => array(
			  'one-column' 		  => WINEMAKER_THEME_URI . '/cs-framework-override/images/one-column.png',
			  'one-half-column'   => WINEMAKER_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'  => WINEMAKER_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			),
			'default'      => 'one-third-column',
		  ),

		  array(
			'id'  		 => 'post-archives-enable-excerpt',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Allow Excerpt', 'winemaker'),
			'info'		 => esc_html__('YES! to allow excerpt', 'winemaker'),
			'default'    => true,
		  ),

		  array(
			'id'  		 => 'post-archives-excerpt',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Excerpt Length', 'winemaker'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Put Excerpt Length', 'winemaker').'</span>',
			'default' 	 => 40,
		  ),

		  array(
			'id'  		 => 'post-archives-enable-readmore',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Read More', 'winemaker'),
			'info'		 => esc_html__('YES! to enable read more button', 'winemaker'),
			'default'	 => true,
		  ),

		  array(
			'id'  		 => 'post-archives-readmore',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Read More Shortcode', 'winemaker'),
			'info'		 => esc_html__('Paste any button shortcode here', 'winemaker'),
			'default'	 => '[dt_sc_button title="Read More" style="filled" icon_type="fontawesome" iconalign="icon-right with-icon" iconclass="fa fa-long-arrow-right" class="type1"]',
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Single Post & Post Archive options", 'winemaker' ),
		  ),

		  array(
			'id'           => 'post-style',
			'type'         => 'select',
			'title'        => esc_html__('Post Style', 'winemaker'),
			'options'      => array(
			  'blog-default-style' 		=> esc_html__('Default', 'winemaker'),
			  'entry-date-left'      	=> esc_html__('Date Left', 'winemaker'),
			  'entry-date-author-left'  => esc_html__('Date and Author Left', 'winemaker'),
			  'blog-medium-style'       => esc_html__('Medium', 'winemaker'),
			  'blog-medium-style dt-blog-medium-highlight'     					 => esc_html__('Medium Hightlight', 'winemaker'),
			  'blog-medium-style dt-blog-medium-highlight dt-sc-skin-highlight'  => esc_html__('Medium Skin Highlight', 'winemaker'),
			),
			'class'        => 'chosen',
			'default'      => 'blog-default-style',
			'info'         => esc_html__('Choose post style to display single blog posts and archives.', 'winemaker'),
		  ),
		  
		  array(
			'id'      => 'post-format-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Post Format Meta', 'winemaker' ),
			'info'	  => esc_html__('YES! to show post format meta information', 'winemaker'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-author-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Author Meta', 'winemaker' ),
			'info'	  => esc_html__('YES! to show post author meta information', 'winemaker'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-date-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Date Meta', 'winemaker' ),
			'info'	  => esc_html__('YES! to show post date meta information', 'winemaker'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-comment-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Comment Meta', 'winemaker' ),
			'info'	  => esc_html__('YES! to show post comment meta information', 'winemaker'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-category-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Category Meta', 'winemaker' ),
			'info'	  => esc_html__('YES! to show post category information', 'winemaker'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-tag-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Tag Meta', 'winemaker' ),
			'info'	  => esc_html__('YES! to show post tag information', 'winemaker'),
			'default' => true
		  ),

		),
	),

	// -----------------------------------------
	// 404 Options
	// -----------------------------------------
	array(
	  'name'      => '404_options',
	  'title'     => esc_html__('404 Options', 'winemaker'),
	  'icon'      => 'fa fa-warning',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "404 Message", 'winemaker' ),
		  ),
		  
		  array(
			'id'      => 'enable-404message',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Message', 'winemaker' ),
			'info'	  => esc_html__('YES! to enable not-found page message.', 'winemaker'),
			'default' => true
		  ),

		  array(
			'id'           => 'notfound-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'winemaker'),
			'options'      => array(
			  'type1' 	   => esc_html__('Modern', 'winemaker'),
			  'type2'      => esc_html__('Classic', 'winemaker'),
			  'type4'  	   => esc_html__('Diamond', 'winemaker'),
			  'type5'      => esc_html__('Shadow', 'winemaker'),
			  'type6'      => esc_html__('Diamond Alt', 'winemaker'),
			  'type7'  	   => esc_html__('Stack', 'winemaker'),
			  'type8'  	   => esc_html__('Minimal', 'winemaker'),
			),
			'class'        => 'chosen',
			'default'      => 'type6',
			'info'         => esc_html__('Choose the style of not-found template page.', 'winemaker')
		  ),

		  array(
			'id'      => 'notfound-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('404 Dark BG', 'winemaker' ),
			'info'	  => esc_html__('YES! to use dark bg notfound page for this site.', 'winemaker'),
			'default' => true,
		  ),

		  array(
			'id'           => 'notfound-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'winemaker'),
			'options'      => 'pages',
			'class'        => 'chosen',			
			'default_option' => esc_html__('Choose the page', 'winemaker'),
			'info'       	 => esc_html__('Choose the page for not-found content.', 'winemaker')
		  ),
		  
		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Background Options", 'winemaker' ),
		  ),

		  array(
			'id'    => 'notfound_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'winemaker'),
			'default' => array(
				'image' => get_template_directory_uri() . '/images/Winery-404.png',
				'repeat'    => 'repeat',
				'attachment' => 'scroll',
				'position' => 'center',
				'size' => ''
			),
		  ),

		  array(
			'id'  		 => 'notfound-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'winemaker'),
			'info'		 => esc_html__('Paste custom CSS styles for not found page.', 'winemaker')
		  ),

		),
	),

	// -----------------------------------------
	// Underconstruction Options
	// -----------------------------------------
	array(
	  'name'      => 'comingsoon_options',
	  'title'     => esc_html__('Under Construction Options', 'winemaker'),
	  'icon'      => 'fa fa-thumbs-down',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Under Construction", 'winemaker' ),
		  ),
	
		  array(
			'id'      => 'enable-comingsoon',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Coming Soon', 'winemaker' ),
			'info'	  => esc_html__('YES! to check under construction page of your website.', 'winemaker')
		  ),
	
		  array(
			'id'           => 'comingsoon-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'winemaker'),
			'options'      => array(
			  'type1' 	   => esc_html__('Diamond', 'winemaker'),
			  'type2'      => esc_html__('Teaser', 'winemaker'),
			  'type3'  	   => esc_html__('Minimal', 'winemaker'),
			  'type4'      => esc_html__('Counter Only', 'winemaker'),
			  'type5'      => esc_html__('Belt', 'winemaker'),
			  'type6'  	   => esc_html__('Classic', 'winemaker'),
			  'type7'  	   => esc_html__('Boxed', 'winemaker')
			),
			'class'        => 'chosen',
			'default'      => 'type1',
			'info'         => esc_html__('Choose the style of coming soon template.', 'winemaker'),
		  ),

		  array(
			'id'      => 'uc-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('Coming Soon Dark BG', 'winemaker' ),
			'info'	  => esc_html__('YES! to use dark bg coming soon page for this site.', 'winemaker')
		  ),

		  array(
			'id'           => 'comingsoon-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'winemaker'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'winemaker'),
			'info'       	 => esc_html__('Choose the page for comingsoon content.', 'winemaker')
		  ),

		  array(
			'id'      => 'show-launchdate',
			'type'    => 'switcher',
			'title'   => esc_html__('Show Launch Date', 'winemaker' ),
			'info'	  => esc_html__('YES! to show launch date text.', 'winemaker'),
		  ),

		  array(
			'id'      => 'comingsoon-launchdate',
			'type'    => 'text',
			'title'   => esc_html__('Launch Date', 'winemaker'),
			'attributes' => array( 
			  'placeholder' => '10/30/2016 12:00:00'
			),
			'after' 	=> '<p class="cs-text-info">'.esc_html__('Put Format: 12/30/2016 12:00:00 month/day/year hour:minute:second', 'winemaker').'</p>',
		  ),

		  array(
			'id'           => 'comingsoon-timezone',
			'type'         => 'select',
			'title'        => esc_html__('UTC Timezone', 'winemaker'),
			'options'      => array(
			  '-12' => '-12', '-11' => '-11', '-10' => '-10', '-9' => '-9', '-8' => '-8', '-7' => '-7', '-6' => '-6', '-5' => '-5', 
			  '-4' => '-4', '-3' => '-3', '-2' => '-2', '-1' => '-1', '0' => '0', '+1' => '+1', '+2' => '+2', '+3' => '+3', '+4' => '+4',
			  '+5' => '+5', '+6' => '+6', '+7' => '+7', '+8' => '+8', '+9' => '+9', '+10' => '+10', '+11' => '+11', '+12' => '+12'
			),
			'class'        => 'chosen',
			'default'      => '0',
			'info'         => esc_html__('Choose utc timezone, by default UTC:00:00', 'winemaker'),
		  ),

		  array(
			'id'    => 'comingsoon_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'winemaker')
		  ),

		  array(
			'id'  		 => 'comingsoon-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'winemaker'),
			'info'		 => esc_html__('Paste custom CSS styles for under construction page.', 'winemaker'),
		  ),

		),
	),

  ),
);

// -----------------------------------------
// Widget area Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'widgetarea_options',
  'title'       => esc_html__('Widget Area', 'winemaker'),
  'icon'        => 'fa fa-trello',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Custom Widget Area for Sidebar", 'winemaker' ),
	  ),

	  array(
		'id'           => 'wtitle-style',
		'type'         => 'select',
		'title'        => esc_html__('Sidebar widget Title Style', 'winemaker'),
		'options'      => array(
		  'default' => esc_html__('Choose any type', 'winemaker'),
		  'type1' 	   => esc_html__('Double Border', 'winemaker'),
		  'type2'      => esc_html__('Tooltip', 'winemaker'),
		  'type3'  	   => esc_html__('Title Top Border', 'winemaker'),
		  'type4'      => esc_html__('Left Border & Pattren', 'winemaker'),
		  'type5'      => esc_html__('Bottom Border', 'winemaker'),
		  'type6'  	   => esc_html__('Tooltip Border', 'winemaker'),
		  'type7'  	   => esc_html__('Boxed Modern', 'winemaker'),
		  'type8'  	   => esc_html__('Elegant Border', 'winemaker'),
		  'type9' 	   => esc_html__('Needle', 'winemaker'),
		  'type10' 	   => esc_html__('Ribbon', 'winemaker'),
		  'type11' 	   => esc_html__('Content Background', 'winemaker'),
		  'type12' 	   => esc_html__('Classic BG', 'winemaker'),
		  'type13' 	   => esc_html__('Tiny Boders', 'winemaker'),
		  'type14' 	   => esc_html__('BG & Border', 'winemaker'),
		  'type15' 	   => esc_html__('Classic BG Alt', 'winemaker'),
		  'type16' 	   => esc_html__('Left Border & BG', 'winemaker'),
		  'type17' 	   => esc_html__('Basic', 'winemaker'),
		  'type18' 	   => esc_html__('BG & Pattern', 'winemaker'),
		),
		'class'          => 'chosen',
		'default' 		 =>  'default',
		'info'           => esc_html__('Choose the style of sidebar widget title.', 'winemaker')
	  ),

	  array(
		'id'              => 'widgetarea-custom',
		'type'            => 'group',
		'title'           => esc_html__('Custom Widget Area', 'winemaker'),
		'button_title'    => esc_html__('Add New', 'winemaker'),
		'accordion_title' => esc_html__('Add New Widget Area', 'winemaker'),
		'fields'          => array(

		  array(
			'id'          => 'widgetarea-custom-name',
			'type'        => 'text',
			'title'       => esc_html__('Name', 'winemaker'),
		  ),

		)
	  ),

	),
);

// -----------------------------------------
// Woocommerce Options
// -----------------------------------------
if( function_exists( 'is_woocommerce' ) ){

	$options[]      = array(
	  'name'        => 'woocommerce_options',
	  'title'       => esc_html__('Woocommerce', 'winemaker'),
	  'icon'        => 'fa fa-shopping-cart',

	  'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Woocommerce Shop Page Options", 'winemaker' ),
		  ),

		  array(
			'id'  		 => 'shop-product-per-page',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Products Per Page', 'winemaker'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Number of products to show in catalog / shop page', 'winemaker').'</span>',
			'default' 	 => 12,
		  ),

		  array(
			'id'           => 'product-style',
			'type'         => 'select',
			'title'        => esc_html__('Product Style', 'winemaker'),
			'options'      => array(
			  'type1' 	   => esc_html__('Thick Border', 'winemaker'),
			  'type2'      => esc_html__('Pattern Overlay', 'winemaker'),
			  'type3'  	   => esc_html__('Thin Border', 'winemaker'),
			  'type4'      => esc_html__('Diamond Icons', 'winemaker'),
			  'type5'      => esc_html__('Girly', 'winemaker'),
			  'type6'  	   => esc_html__('Push Animation', 'winemaker'),
			  'type7' 	   => esc_html__('Dual Color BG', 'winemaker'),
			  'type8' 	   => esc_html__('Modern', 'winemaker'),
			  'type9' 	   => esc_html__('Diamond & Border', 'winemaker'),
			  'type10' 	   => esc_html__('Easing', 'winemaker'),
			  'type11' 	   => esc_html__('Boxed', 'winemaker'),
			  'type12' 	   => esc_html__('Easing Alt', 'winemaker'),
			  'type13' 	   => esc_html__('Parallel', 'winemaker'),
			  'type14' 	   => esc_html__('Pointer', 'winemaker'),
			  'type15' 	   => esc_html__('Diamond Flip', 'winemaker'),
			  'type16' 	   => esc_html__('Stack', 'winemaker'),
			  'type17' 	   => esc_html__('Bouncy', 'winemaker'),
			  'type18' 	   => esc_html__('Hexagon', 'winemaker'),
			  'type19' 	   => esc_html__('Masked Diamond', 'winemaker'),
			  'type20' 	   => esc_html__('Masked Circle', 'winemaker'),
			  'type21' 	   => esc_html__('Classic', 'winemaker'),
			),
			'class'        => 'chosen',
			'default' 	   => 'type1',
			'info'         => esc_html__('Choose products style to display shop & archive pages.', 'winemaker')
		  ),

		  array(
			'id'      	 => 'shop-page-product-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Product Layout', 'winemaker'),
			'options'    => array(
			  'one-half-column'     => WINEMAKER_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'    => WINEMAKER_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			  'one-fourth-column'   => WINEMAKER_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
			),
			'default'      => 'one-third-column',
			'attributes'   => array(
			  'data-depend-id' => 'shop-page-product-layout',
			),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Detail Page Options", 'winemaker' ),
		  ),

		  array(
			'id'      	   => 'product-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'winemaker'),
			'options'      => array(
			  'content-full-width'   => WINEMAKER_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => WINEMAKER_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => WINEMAKER_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => WINEMAKER_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'winemaker'),
			'dependency'   	 => array( 'product-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'winemaker'),
			'dependency' 	 => array( 'product-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  		 	 => 'enable-related',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Related Products', 'winemaker'),
			'info'	  		 => esc_html__("YES! to display related products on single product's page.", 'winemaker')
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Category Page Options", 'winemaker' ),
		  ),

		  array(
			'id'      	   => 'product-category-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'winemaker'),
			'options'      => array(
			  'content-full-width'   => WINEMAKER_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => WINEMAKER_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => WINEMAKER_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => WINEMAKER_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-category-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-category-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'winemaker'),
			'dependency'   	 => array( 'product-category-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-category-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'winemaker'),
			'dependency' 	 => array( 'product-category-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),
		  
		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Tag Page Options", 'winemaker' ),
		  ),

		  array(
			'id'      	   => 'product-tag-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'winemaker'),
			'options'      => array(
			  'content-full-width'   => WINEMAKER_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => WINEMAKER_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => WINEMAKER_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => WINEMAKER_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-tag-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-tag-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'winemaker'),
			'dependency'   	 => array( 'product-tag-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-tag-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'winemaker'),
			'dependency' 	 => array( 'product-tag-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

	  ),
	);
}

// -----------------------------------------
// Hook Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'hook_options',
  'title'       => esc_html__('Hooks', 'winemaker'),
  'icon'        => 'fa fa-paperclip',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Top Hook", 'winemaker' ),
	  ),

	  array(
		'id'  	=> 'enable-top-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Top Hook', 'winemaker'),
		'info'	=> esc_html__("YES! to enable top hook.", 'winemaker')
	  ),

	  array(
		'id'  		 => 'top-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Top Hook', 'winemaker'),
		'info'		 => esc_html__('Paste your top hook, Executes after the opening &lt;body&gt; tag.', 'winemaker')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content Before Hook", 'winemaker' ),
	  ),

	  array(
		'id'  	=> 'enable-content-before-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content Before Hook', 'winemaker'),
		'info'	=> esc_html__("YES! to enable content before hook.", 'winemaker')
	  ),

	  array(
		'id'  		 => 'content-before-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content Before Hook', 'winemaker'),
		'info'		 => esc_html__('Paste your content before hook, Executes before the opening &lt;#primary&gt; tag.', 'winemaker')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content After Hook", 'winemaker' ),
	  ),

	  array(
		'id'  	=> 'enable-content-after-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content After Hook', 'winemaker'),
		'info'	=> esc_html__("YES! to enable content after hook.", 'winemaker')
	  ),

	  array(
		'id'  		 => 'content-after-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content After Hook', 'winemaker'),
		'info'		 => esc_html__('Paste your content after hook, Executes after the closing &lt;/#main&gt; tag.', 'winemaker')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Bottom Hook", 'winemaker' ),
	  ),

	  array(
		'id'  	=> 'enable-bottom-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Bottom Hook', 'winemaker'),
		'info'	=> esc_html__("YES! to enable bottom hook.", 'winemaker')
	  ),

	  array(
		'id'  		 => 'bottom-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Bottom Hook', 'winemaker'),
		'info'		 => esc_html__('Paste your bottom hook, Executes after the closing &lt;/body&gt; tag.', 'winemaker')
	  ),

	  array(
		'id'  	=> 'enable-analytics-code',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Tracking Code', 'winemaker'),
		'info'	=> esc_html__("YES! to enable site tracking code.", 'winemaker')
	  ),

	  array(
		'id'  		 => 'analytics-code',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Google Analytics Tracking Code', 'winemaker'),
		'info'		 => esc_html__('Either enter your Google tracking id (UA-XXXXX-X) or your full Google Analytics tracking Code here. If you want to offer your visitors the option to stop being tracked you can place the shortcode [dt_sc_privacy_google_tracking] somewhere on your site', 'winemaker')
	  ),

   ),
);

// ------------------------------
// backup                       
// ------------------------------
$options[]   = array(
  'name'     => 'backup_section',
  'title'    => esc_html__('Backup', 'winemaker'),
  'icon'     => 'fa fa-shield',
  'fields'   => array(

    array(
      'type'    => 'notice',
      'class'   => 'warning',
      'content' => esc_html__('You can save your current options. Download a Backup and Import.', 'winemaker')
    ),

    array(
      'type'    => 'backup',
    ),

  )
);

// ------------------------------
// license
// ------------------------------
$options[]   = array(
  'name'     => 'theme_version',
  'title'    => constant('WINEMAKER_THEME_NAME').esc_html__(' Log', 'winemaker'),
  'icon'     => 'fa fa-info-circle',
  'fields'   => array(

    array(
      'type'    => 'heading',
      'content' => constant('WINEMAKER_THEME_NAME').esc_html__(' Theme Change Log', 'winemaker')
    ),
    array(
      'type'    => 'content',
	  'content' => '<pre>
	  
2023.11.02 - version 3.0
* Fixed: Unyson plugin installation issue. The source is included in the theme package.
* Compatible: latest version WordPress	  

2022.12.23 - version 2.9
* Compatible with WordPress 6.1
* Compatible with latest WooCommerce versions
* Compatible with PHP 8.1 version
* Updated: All premium plugins

2022.02.22 - version 2.8
	* Fixed Kirki Customizer Issue

2021.01.23 - version 2.7
	* Compatible with wordpress 5.6
	* Some design issues updated
	* Updated: All premium plugins

2020.12.23 - version 2.6
	* Header ajax cart issue updated

2020.11.21 - version 2.5
	* Latest jQuery fixes updated
	* Updated: All premium plugins

2020.09.15- version 2.4
	* Compatible with wordpress 5.5.1
	* Updated: Notice errors
	* Updated: Fatal error on other theme activation
	* Updated: All premium plugins
	* Updated: Customizer menu font issue
	* Updated: Iphone product click issue
	* Updated: RTL language supported

2020.08.13 - version 2.3
	* Compatible with wordpress 5.5	  

2020.08.03 - version 2.2
	* Updated: Envato Theme check
	* Updated: sanitize_text_field added
	* Updated: All wordpress theme standards
	* Updated: All premium plugins

2020.07.06 - version 2.1
	* Compatible with wordpress 5.4.2
	* Updated: All premium plugins
	* Updated: Some design tweaks
	* Updated: Sub menu mouse hover issue
	* Updated: Activating another theme causes error

2020.02.06 - version 2.0
	* Updated : All premium plugins	  

2020.01.29 - version 1.9

	* Compatible with wordpress 5.3.2
	* Updated: All premium plugins
	* Updated: All wordpress theme standards
	* Updated: Privacy and Cookies concept
	* Updated: Gutenberg editor support for custom post types

	* Fixed: Google Analytics issue
	* Fixed: Mailchimp email client issue
	* Fixed: Privacy Button Issue
	* Fixed: Gutenberg check for old wordpress version

	* Improved: Tags taxonomy added for portfolio
	* Improved: Single product breadcrumb section
	* Improved: Revisions options added for all custom posts

2019.11.15 - version 1.8
	* Updated all wordpress theme standards
	* Compatible with latest Gutenberg editor
	* Updated: All premium plugins
	* Compatible with wordpress 5.3

2019.08.23 - version 1.7
	* Compatible with wordpress 5.2.2
	* Updated: All premium plugins
	* Updated: Revisions added to all custom post types
	* Updated: Gutenberg editor support for custom post types
	* Updated: Link for phone number module
	* Updated: Online documentation link, check readme file

	* Fixed: Google Analytics issue
	* Fixed: Mailchimp email client issue
	* Fixed: Gutenberg check for old wordpress version
	* Fixed: Edit with Visual Composer for portfolio
	* Fixed: Privacy popup bg color
	* Fixed: 404 page scrolling issue

	* Improved: Single product breadcrumb section
	* Improved: Tags taxonomy added for portfolio
	* Improved: Woocommerce cart module added with custom class option

	* New: Whatsapp Shortcode

2019.06.10 – version 1.6

	* Gutenberg Latest update compatible
	* Added Portfolio video option
	* Added link for image caption module
	* Fixed  - Coming Soon page issue
	* Fixed  - Menu image issue
	* Fixed - Product single page comment box
	* Fixed - shortcodes issues
	* Updated Codestar framework
	* Updated wpml xml file
	* Updated latest version of all third party plugins
	* Some design tweaks

2019.01.22 - version 1.5

	* Gutenberg compatible
	* Latest WordPress version 5.0.3 compatible
	* Updated latest version of all third party plugins
	* Some design tweaks
   
2018.10.30 - version 1.4

	* Gutenberg plugin compatible
	* Latest wordpress version 4.9.8 compatible
	* Updated latest version of all third party plugins
	* Updated documentation
 
2018.07.26 - version 1.3

	* GDPR Compliant update in comment form, mailchimp form etc.
	* Packed with - Layer Slider 6.7.6
	* Packed with - Revolution Slider 5.4.8
	* Packed with - WPBakery Page Builder 5.5.2
	* Packed with - Ultimate Addons for Visual Composer 3.16.24
	* Packed with - Envato Market 2.0.0

2018.05.05 - version 1.2
	* Updated all third party plugins
	* Fix - Unyson page builder conflicts with "Visual Composer" and "DesignThemes Page Builder" 
	* Fix - Bulk Install plugins issue.
	* Fix - All theme functions updated for child theme support
	* Fix - Option for change the site title color
	* Fix - Add target attribute for social media
	* Fix - PO File updated. 
	* Fix - Nav Menu Role Plugin compatible.
	* Fix - disable link option for menu 
	* Fix - Added the smile fonts folder
	* Fix - Events calendar plugin call added
	* Fix - Woocommerce files updated
	* Fix - Shop Page breadcrumb issue
	* Fix - Iphone sidebar issue
	* Some design issues updated
	* Demo content updated
	* Documentation Updated

2017.08.24 - version 1.1
	* Dummy data updated

2017.08.10 - version 1.0
 	* First release!  </pre>',
    ),

  )
);

// ------------------------------
// Seperator
// ------------------------------
$options[] = array(
  'name'   => 'seperator_1',
  'title'  => esc_html__('Plugin Options', 'winemaker'),
  'icon'   => 'fa fa-plug'
);


CSFramework::instance( $settings, $options );