<?php
function winemaker_kirki_config() {
	return 'winemaker_kirki_config';
}

function winemaker_defaults( $key = '' ) {
	$defaults = array();

	$defaults['use-predefined-skin'] = '1';
	$defaults['predefined-skin'] = 'magenta';

	$defaults['site-responsive'] = '1';
	$defaults['site-layout'] = 'wide';

	$defaults['site_icon'] = get_template_directory_uri().'/images/favicon.ico';

	# use-custom-logo
	$defaults['use-custom-logo'] = '1';

	# site skin
	$defaults['primary-color']   = '#a53e4c';
	$defaults['secondary-color'] = '#901324';
	$defaults['tertiary-color']  = '#e95d70';

	$defaults['body-bg-color']      = '#ffffff';
	$defaults['body-content-color'] = '#777777';
	$defaults['body-a-color']       = '#a53e4c';
	$defaults['body-a-hover-color'] = '#111111';
	$defaults['custom-title'] = '#ffffff';

	$defaults['customize-menu-typo'] = '1';
	

	# custom-logo
	$defaults['custom-logo'] = get_template_directory_uri().'/images/logo.png';

	# custom-logo
	$defaults['custom-dark-logo'] = get_template_directory_uri().'/images/light-logo.png';

	$defaults['header-type'] = 'fullwidth-header header-align-center fullwidth-menu-header';
	$defaults['enable-sticy-nav'] = '0';
	$defaults['header-position'] = 'on slider';
	$defaults['header-transparency'] = 'transparent-header';
	$defaults['enable-header-darkbg'] = '0';

	$defaults['enable-header-left-content'] = '0';
	$defaults['enable-header-right-content'] = '0';
	$defaults['enable-top-bar-content'] = '1';
	
	#Breadcrumb
		$defaults['show-breadcrumb'] = '1';
		$defaults['breadcrumb-delimiter'] = 'fa default';
		$defaults['breadcrumb-style'] = 'aligncenter';
		$defaults['customize-breadcrumb-title-typo'] = '0';
		$defaults['breadcrumb-title-typo'] = array( 
			'font-family' => 'Montserrat',
			'variant' => 'regular',
			'font-size' => '30px',
			'line-height' => '1.5',
			'letter-spacing' => '0',
			'color' => '#333333',
			'text-transform' => 'none' );
		$defaults['customize-breadcrumb-typo'] = '0';
		$defaults['breadcrumb-typo'] = array( 
			'font-family' => 'Open Sans',
			'variant' => 'regular',
			'font-size' => '16px',
			'line-height' => '1.5',
			'letter-spacing' => '0',
			'color' => '#777777',
			'text-transform' => 'none' );
		
	/**
	 * MENU
	 */
	$defaults['sub-menu-box-h-shadow'] =  5;
	$defaults['sub-menu-box-v-shadow'] =  5;
	$defaults['sub-menu-box-blur-shadow'] =  5;
	$defaults['sub-menu-box-spread-shadow'] =  5;
	$defaults['sub-menu-style'] = ' menu-links-with-arrow single';
	

	/*
	 * FOOTER SETTINGS
	 */

		# show-footer
		$defaults['show-footer'] = '0';

		# footer-columns
		$defaults['footer-columns'] = '3';

		$defaults['footer-sociables'] = array( 'delicious', 'dribbble', 'facebook');

		# show-footer
		$defaults['enable-footer-darkbg'] = '1';

		# customize-footer-title-typo
		$defaults['customize-footer-title-typo'] = '0';

		#footer-title-typo
		$defaults['footer-title-typo'] = array( 
			'font-family' => 'Montserrat',
			'variant' => 'regular',
			'subsets' => array( 'latin-ext' ),
			'font-size' => '24px',
			'line-height' => '1.5',
			'letter-spacing' => '0',
			'color' => '#333333',
			'text-align' => 'left',
			'text-transform' => 'none' );

		# customize-footer-content-typo
		$defaults['customize-footer-content-typo'] = '0';

		#footer-content-typo
		$defaults['footer-content-typo'] = array( 
			'font-family' => 'Open Sans',
			'variant' => 'regular',
			'font-size' => '16px',
			'line-height' => '1.5',
			'letter-spacing' => '0',
			'color' => '#777777',
			'text-align' => 'left',
			'text-transform' => 'none' );

		#footer-ii-content-typo
		$defaults['footer-ii-content-typo'] = array( 
			'font-family' => 'Open Sans',
			'variant' => 'regular',
			'font-size' => '16px',
			'line-height' => '1.5',
			'letter-spacing' => '0',
			'color' => '#777777',
			'text-align' => 'left',
			'text-transform' => 'none' );		

		# show-copyright-text
		$defaults['show-copyright-text'] = '1';

		# copyright-text
		$defaults['copyright-text'] = 'Copyright &copy; 2017, <a href="http://themeforest.net/user/designthemes">DesignThemes</a>';

		# enable-copyright-darkbg
		$defaults['enable-copyright-darkbg'] = '1';

		# customize-footer-copyright-text-typo
		$defaults['customize-footer-copyright-text-typo'] = '0';

		# footer-copyright-text-typo
		$defaults['footer-copyright-text-typo'] = array( 
			'font-family' => 'Open Sans',
			'variant' => 'regular',
			'font-size' => '16px',
			'line-height' => '1.5',
			'letter-spacing' => '0',
			'color' => '#777777',
			'text-align' => 'left',
			'text-transform' => 'none' );

		# customize-footer-menu-typo
		$defaults['customize-footer-copyright-text-typo'] = '0';

		# footer-menu-typo
		$defaults['footer-menu-typo'] = array( 
			'font-family' => 'Open Sans',
			'variant' => 'regular',
			'font-size' => '16px',
			'line-height' => '1.5',
			'letter-spacing' => '0',
			'color' => '#777777',
			'text-align' => 'left',
			'text-transform' => 'none' );

	# copyright-next
	$defaults['copyright-next'] = 'hide';


	# WooCommerce
	$defaults['product-style'] = 'type14';
	$defaults['product-per-page'] = '12';
	$defaults['product-per-row'] = 'one-third-column';

	$defaults['product-page-layout'] = 'content-full-width';
	$defaults['show-product-page-left-sidebar'] = '1';
	$defaults['show-product-page-right-sidebar'] = '1';

	$defaults['product-category-page-layout'] = 'content-full-width';
	$defaults['show-product-category-page-left-sidebar'] = '1';
	$defaults['show-product-category-page-right-sidebar'] = '1';	

	$defaults['product-tag-page-layout'] = 'content-full-width';
	$defaults['show-product-tag-page-left-sidebar'] = '1';
	$defaults['show-product-tag-page-right-sidebar'] = '1';

	# Social
	$defaults['social-facebook'] = '#';
	$defaults['social-twitter'] = '#';
	$defaults['social-google-plus'] = '#';
	$defaults['social-instagram'] = '#';

	# Typography
	$defaults['menu-typo'] = array(
		'font-family' => 'Philosopher',
		'variant' => 'regular',
		'font-size' => '18px',
		'line-height' => '70px',
		'letter-spacing' => '0px',
		'color' => '#000000',
		'text-transform' => 'none'
	);

	$defaults['body-content-typo'] = array(
		'font-family' => 'Open Sans',
		'variant' => 'regular',
		'font-size' => '18px',
		'line-height' => '28px',
		'letter-spacing' => '0',
		'color' => '#777777'
	);
	
	$defaults['customize-body-h1-typo'] = '1';
	$defaults['h1'] = array(
		'font-family' => 'Philosopher',
		'variant' => '400',
		'font-size' => '50px',
		'letter-spacing' => '0',
		'line-height' => 'normal',
		'color' => '#111111',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);

	$defaults['customize-body-h2-typo'] = '1';
	$defaults['h2'] = array(
		'font-family' => 'Great Vibes',
		'variant' => '400',
		'font-size' => '34px',
		'line-height' => '30px',
		'letter-spacing' => '5px',
		'color' => '#a53e4c',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);

	$defaults['customize-body-h3-typo'] = '1';
	$defaults['h3'] = array(
		'font-family' => 'Philosopher',
		'variant' => '400',
		'font-size' => '24px',
		'color' => '#111111',
		'line-height' => '1.5',
		'letter-spacing' => '0',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);

	$defaults['customize-body-h4-typo'] = '1';
	$defaults['h4'] = array(
		'font-family' => 'Philosopher',
		'variant' => '400',
		'font-size' => '22px',
		'color' => '#111111',
		'line-height' => '1.5',
		'letter-spacing' => '0',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);

	$defaults['customize-body-h5-typo'] = '1';
	$defaults['h5'] = array(
		'font-family' => 'Philosopher',
		'variant' => '400',
		'font-size' => '20px',
		'color' => '#111111',
		'line-height' => '1.5',
		'letter-spacing' => '0',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);

	$defaults['customize-body-h6-typo'] = '1';
	$defaults['h6'] = array(
		'font-family' => 'Philosopher',
		'variant' => '400',
		'font-size' => '18px',
		'color' => '#111111',
		'line-height' => '1.5',
		'letter-spacing' => '0',
		'text-align' => 'initial',
		'text-transform' => 'none'
	);
	
	$defaults['customize-body-content-typo'] = '1';
	$defaults['body-content-typo'] = array(
		'font-family' => 'Old Standard TT',
		'variant' => 'regular',
		'font-size' => '18px',
		'color' => '#777777',
		'line-height' => '28px',
		'letter-spacing' => '0'
	);				

	if( !empty( $key ) && array_key_exists( $key, $defaults) ) {
		return $defaults[$key];
	}

	return '';
}

function winemaker_image_positions() {

	$positions = array( "top left" => esc_attr__('Top Left','winemaker'),
		"top center"    => esc_attr__('Top Center','winemaker'),
		"top right"     => esc_attr__('Top Right','winemaker'),
		"center left"   => esc_attr__('Center Left','winemaker'),
		"center center" => esc_attr__('Center Center','winemaker'),
		"center right"  => esc_attr__('Center Right','winemaker'),
		"bottom left"   => esc_attr__('Bottom Left','winemaker'),
		"bottom center" => esc_attr__('Bottom Center','winemaker'),
		"bottom right"  => esc_attr__('Bottom Right','winemaker'),
	);

	return $positions;
}

function winemaker_image_repeats() {

	$image_repeats = array( "repeat" => esc_attr__('Repeat','winemaker'),
		"repeat-x"  => esc_attr__('Repeat in X-axis','winemaker'),
		"repeat-y"  => esc_attr__('Repeat in Y-axis','winemaker'),
		"no-repeat" => esc_attr__('No Repeat','winemaker')
	);

	return $image_repeats;
}

function winemaker_border_styles() {

	$image_repeats = array(
		"dotted" => esc_attr__('Dotted','winemaker'),
		"dashed" => esc_attr__('Dashed','winemaker'),
		"solid"	 => esc_attr__('Solid','winemaker'),
		"double" => esc_attr__('Double','winemaker'),
		"groove" => esc_attr__('Groove','winemaker'),
		"ridge"	 => esc_attr__('Ridge','winemaker'),
	);

	return $image_repeats;
}

function winemaker_animations() {

	$animations = array(
		'' 					 => esc_html__('Default','winemaker'),	
		"bigEntrance"        =>  esc_attr__("bigEntrance",'winemaker'),
        "bounce"             =>  esc_attr__("bounce",'winemaker'),
        "bounceIn"           =>  esc_attr__("bounceIn",'winemaker'),
        "bounceInDown"       =>  esc_attr__("bounceInDown",'winemaker'),
        "bounceInLeft"       =>  esc_attr__("bounceInLeft",'winemaker'),
        "bounceInRight"      =>  esc_attr__("bounceInRight",'winemaker'),
        "bounceInUp"         =>  esc_attr__("bounceInUp",'winemaker'),
        "bounceOut"          =>  esc_attr__("bounceOut",'winemaker'),
        "bounceOutDown"      =>  esc_attr__("bounceOutDown",'winemaker'),
        "bounceOutLeft"      =>  esc_attr__("bounceOutLeft",'winemaker'),
        "bounceOutRight"     =>  esc_attr__("bounceOutRight",'winemaker'),
        "bounceOutUp"        =>  esc_attr__("bounceOutUp",'winemaker'),
        "expandOpen"         =>  esc_attr__("expandOpen",'winemaker'),
        "expandUp"           =>  esc_attr__("expandUp",'winemaker'),
        "fadeIn"             =>  esc_attr__("fadeIn",'winemaker'),
        "fadeInDown"         =>  esc_attr__("fadeInDown",'winemaker'),
        "fadeInDownBig"      =>  esc_attr__("fadeInDownBig",'winemaker'),
        "fadeInLeft"         =>  esc_attr__("fadeInLeft",'winemaker'),
        "fadeInLeftBig"      =>  esc_attr__("fadeInLeftBig",'winemaker'),
        "fadeInRight"        =>  esc_attr__("fadeInRight",'winemaker'),
        "fadeInRightBig"     =>  esc_attr__("fadeInRightBig",'winemaker'),
        "fadeInUp"           =>  esc_attr__("fadeInUp",'winemaker'),
        "fadeInUpBig"        =>  esc_attr__("fadeInUpBig",'winemaker'),
        "fadeOut"            =>  esc_attr__("fadeOut",'winemaker'),
        "fadeOutDownBig"     =>  esc_attr__("fadeOutDownBig",'winemaker'),
        "fadeOutLeft"        =>  esc_attr__("fadeOutLeft",'winemaker'),
        "fadeOutLeftBig"     =>  esc_attr__("fadeOutLeftBig",'winemaker'),
        "fadeOutRight"       =>  esc_attr__("fadeOutRight",'winemaker'),
        "fadeOutUp"          =>  esc_attr__("fadeOutUp",'winemaker'),
        "fadeOutUpBig"       =>  esc_attr__("fadeOutUpBig",'winemaker'),
        "flash"              =>  esc_attr__("flash",'winemaker'),
        "flip"               =>  esc_attr__("flip",'winemaker'),
        "flipInX"            =>  esc_attr__("flipInX",'winemaker'),
        "flipInY"            =>  esc_attr__("flipInY",'winemaker'),
        "flipOutX"           =>  esc_attr__("flipOutX",'winemaker'),
        "flipOutY"           =>  esc_attr__("flipOutY",'winemaker'),
        "floating"           =>  esc_attr__("floating",'winemaker'),
        "hatch"              =>  esc_attr__("hatch",'winemaker'),
        "hinge"              =>  esc_attr__("hinge",'winemaker'),
        "lightSpeedIn"       =>  esc_attr__("lightSpeedIn",'winemaker'),
        "lightSpeedOut"      =>  esc_attr__("lightSpeedOut",'winemaker'),
        "pullDown"           =>  esc_attr__("pullDown",'winemaker'),
        "pullUp"             =>  esc_attr__("pullUp",'winemaker'),
        "pulse"              =>  esc_attr__("pulse",'winemaker'),
        "rollIn"             =>  esc_attr__("rollIn",'winemaker'),
        "rollOut"            =>  esc_attr__("rollOut",'winemaker'),
        "rotateIn"           =>  esc_attr__("rotateIn",'winemaker'),
        "rotateInDownLeft"   =>  esc_attr__("rotateInDownLeft",'winemaker'),
        "rotateInDownRight"  =>  esc_attr__("rotateInDownRight",'winemaker'),
        "rotateInUpLeft"     =>  esc_attr__("rotateInUpLeft",'winemaker'),
        "rotateInUpRight"    =>  esc_attr__("rotateInUpRight",'winemaker'),
        "rotateOut"          =>  esc_attr__("rotateOut",'winemaker'),
        "rotateOutDownRight" =>  esc_attr__("rotateOutDownRight",'winemaker'),
        "rotateOutUpLeft"    =>  esc_attr__("rotateOutUpLeft",'winemaker'),
        "rotateOutUpRight"   =>  esc_attr__("rotateOutUpRight",'winemaker'),
        "shake"              =>  esc_attr__("shake",'winemaker'),
        "slideDown"          =>  esc_attr__("slideDown",'winemaker'),
        "slideExpandUp"      =>  esc_attr__("slideExpandUp",'winemaker'),
        "slideLeft"          =>  esc_attr__("slideLeft",'winemaker'),
        "slideRight"         =>  esc_attr__("slideRight",'winemaker'),
        "slideUp"            =>  esc_attr__("slideUp",'winemaker'),
        "stretchLeft"        =>  esc_attr__("stretchLeft",'winemaker'),
        "stretchRight"       =>  esc_attr__("stretchRight",'winemaker'),
        "swing"              =>  esc_attr__("swing",'winemaker'),
        "tada"               =>  esc_attr__("tada",'winemaker'),
        "tossing"            =>  esc_attr__("tossing",'winemaker'),
        "wobble"             =>  esc_attr__("wobble",'winemaker'),
        "fadeOutDown"        =>  esc_attr__("fadeOutDown",'winemaker'),
        "fadeOutRightBig"    =>  esc_attr__("fadeOutRightBig",'winemaker'),
        "rotateOutDownLeft"  =>  esc_attr__("rotateOutDownLeft",'winemaker')
    );

	return $animations;
}